<div class="header-container">
    <div class="container h-100">
        <div class="row h-100 justify-content-stretch align-items-center">

            <div class="col-sm-6 order-sm-2">
                <div class="row justify-content-center">
                    <img src="assets/img/logo.png" class="logo">
                </div>
            </div>

            <div class="col-sm-6 order-sm-1">
                <h1>Welcome to your movie guide...</h1>
                <p>Our Most Popular charts use data from the search behavior of IMDb's more than 250 million monthly
                    unique visitors to rank the hottest, most buzzed about movies and TV shows.</p>
                <button mat-raised-button color="basic" (click)="logout()">Logout</button>
            </div>

        </div>
    </div>
</div>

<section class="movies-container">

    <div class="container">

        <!-- heading -->
        <div class="row">
            <div class="col-12">
                <h1>Popular Movies</h1>
            </div>
        </div>

        <!-- movies table -->
        <div class="mat-elevation-z8">
            <table mat-table matSort aria-label="Elements" class="w-100">

                <!-- image Column -->
                <ng-container matColumnDef="poster">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>Poster</th>
                    <td mat-cell *matCellDef="let row" class="cell-padding">
                        <img [src]="row.poster_pathdlkvm" class="table-thumbnail rounded"
                            onerror="this.src='assets/img/placeholder.png';" />
                    </td>
                </ng-container>

                <!-- title Column -->
                <ng-container matColumnDef="movie">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>Movie</th>
                    <td mat-cell *matCellDef="let row"> {{row.title}} ({{row.release_date.substring(0,4)}}) </td>
                </ng-container>

                <!-- popularity Column -->
                <ng-container matColumnDef="popularity">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>Popularity</th>
                    <td mat-cell *matCellDef="let row">{{row.popularity}}</td>
                </ng-container>

                <!-- vote avg Column -->
                <ng-container matColumnDef="vote-average">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>Vote Avg</th>
                    <td mat-cell *matCellDef="let row">{{row.vote_average}}%</td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="onMovieClicked(row)"></tr>
            </table>

            <mat-paginator #paginator [length]="dataSource?.data?.getValue()?.length" [pageIndex]="0" [pageSize]="20"
                [pageSizeOptions]="[20]" aria-label="Select page">
            </mat-paginator>
        </div>
    </div>
</section>